import HttpKit from '@/utils/http-kit'

export default {
  /**
   * 功能描述：关键字查询所有[课程介绍]
   * @param name
   */
  page (form) {
    return HttpKit.post(`/admin/vrPanoram?page=${form.page}&pageSize=${form.size}&crux=${form.searchKey}`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：上移
   * @param form
   */
  forward (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}/forward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：下移
   * @param form
   */
  backward (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}/backward`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：发布
   * @param form
   */
  checkboxrelease (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}/publish`).then(
      res => res.data
    )
  },
  /**
   * 功能描述：取消发布
   * @param form
   */
  checkboxnorelease (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}/un-publish`).then(
      res => res.data
    )
  },
  changePushIndex (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}/push-index`).then(
      res => res.data
    )
  },
  changeSecondTop (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}/second-top`).then(
      res => res.data
    )
  },
  findById (vrPanoramId) {
    return HttpKit.get(`/admin/vrPanoram/${vrPanoramId}`).then(
      res => res.data
    )
  },
  save (form) {
    return HttpKit.post(`/admin/vrPanoram/VrDetailsInsert`, form).then(
      res => res.data
    )
  },
  delete (idList) {
    return HttpKit.post(`/admin/vrPanoram/delete`, idList).then(
      res => res.data
    )
  },
  changeSeq (id, seqencing) {
    return HttpKit.get(`/admin/vrPanoram/${id}/changeSeqencing?seqencing=${seqencing}`).then(
      res => res.data
    )
  }
}
